﻿using System;
using JetBrains.Annotations;
using MugenInjection.Delegates;


namespace MugenInjection.Interception.Interface
{
    /// <summary>
    /// Represent an interface to intercept add an event.
    /// </summary>
    public interface IEventAddInterceptor : IInterceptor
    {
        /// <summary>
        /// Gets the original method of add events.
        /// </summary>
        Action AddMethod { get; }

        /// <summary>
        /// Gets or sets the event to be added.
        /// </summary>
        Delegate AddValue { get; set; }
    }
}