﻿using System;
using JetBrains.Annotations;
using MugenInjection.Delegates;

namespace MugenInjection.Interception.Interface
{
    /// <summary>
    /// Represent an interface to intercept removing an event.
    /// </summary>
    public interface IEventRemoveInterceptor : IInterceptor
    {
        /// <summary>
        /// Gets the original method of remove event.
        /// </summary>
        Action RemoveMethod { get; }

        /// <summary>
        /// Gets or sets the event to be removed.
        /// </summary>
        Delegate RemoveValue { get; set; }
    }
}