﻿using System;
using MugenInjection.Delegates;

namespace MugenInjection.Interception.Interface
{
    /// <summary>
    /// Represent an interface to intercept a get property method.
    /// </summary>
    public interface IPropertyGetInterceptor : IInterceptor
    {
        /// <summary>
        /// Gets the original method of the get property.
        /// </summary>
        Action GetMethod { get; }

        /// <summary>
        /// Gets or sets the property value.
        /// </summary>
        object GetValue { get; set; }
    }
}