﻿using System;
using JetBrains.Annotations;
using MugenInjection.Delegates;

namespace MugenInjection.Interception.Interface
{
    /// <summary>
    /// Represent an interface to intercept a set property method.
    /// </summary>
    public interface IPropertySetInterceptor : IInterceptor
    {
        /// <summary>
        /// Gets the original method of the set property.
        /// </summary>
        Action SetMethod { get; }

        /// <summary>
        /// Gets or sets the property value.
        /// </summary>
        object SetValue { get; set; }
    }
}