﻿namespace MugenInjection.Interception.Interface
{
    /// <summary>
    /// Intercepts the call to action related to methods, properties, and events.
    /// </summary>
    public interface ISimpleInterceptorProcess
    {
        /// <summary>
        /// Gets the priority.
        /// </summary>
        int Priority { get; }

        /// <summary>
        /// Intercepts all actions.
        /// </summary>
        /// <param name="interceptor">The specified <see cref="IInterceptor"/>.</param>
        void Intercept(IInterceptor interceptor);
    }
}