﻿using System;
using JetBrains.Annotations;
using MugenInjection.Interface.Components;

namespace MugenInjection.Logging.Interface.Components
{
    /// <summary>
    /// Factory for create <see cref="ILogger"/>.
    /// </summary>
    public interface ILoggerFactory : IComponent
    {
        #region Method

        /// <summary>
        /// Gets the logger for the specified type, creating it if necessary.
        /// </summary>
        /// <param name="type">The type to create the logger for.</param>
        /// <returns>The newly-created logger.</returns>
        
        ILogger GetLogger(Type type);

        #endregion
    }
}