﻿using MugenInjection.Interface;
using MugenInjection.Wcf.Interface;
using MugenInjection.Web.Settings;

namespace MugenInjection.Wcf.Config
{
    internal class WcfApplicationConfiguration : ApplicationConfiguration, IWcfApplicationConfiguration
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="WcfApplicationConfiguration"/> class.
        /// </summary>
        public WcfApplicationConfiguration(IInjector injector)
            : base(injector)
        {
        }

        #endregion

        #region Implementation of IWcfApplicationConfiguration

        /// <summary>
        /// Starts the current WCF application.
        /// </summary>
        public void Start()
        {
            OnApplicationStarting(null);
            OnApplicationStarted(null);
        }

        /// <summary>
        /// Stops the current WCF application.
        /// </summary>
        public void Stop()
        {
            OnApplicationStopped(null);
        }

        #endregion
    }
}