﻿namespace MugenInjection.Web.Interface
{
    /// <summary>
    /// Providing configuration for <see cref="IApplicationConfiguration"/>.
    /// </summary>
    public interface IConfiguration
    {
        /// <summary>
        /// Loads the current configuration.
        /// </summary>
        /// <param name="configuration">The specified <see cref="IApplicationConfiguration"/>.</param>
        void Load(IApplicationConfiguration configuration);

        /// <summary>
        /// Unloads the current configuration.
        /// </summary>
        /// <param name="configuration">The specified <see cref="IApplicationConfiguration"/>.</param>
        void Unload(IApplicationConfiguration configuration);
    }
}