﻿using System.Collections.Generic;

namespace MugenInjection.Xml.Interface
{
    /// <summary>
    /// Represents interface for create <see cref="IXmlBindingBuilder"/> from <see cref="IXmlElement"/>.
    /// </summary>
    public interface IXmlBindingReader
    {
        /// <summary>
        /// Reads bindings from specified xml.
        /// </summary>
        /// <param name="xmlElement">The specified root of xml.</param>
        /// <param name="moduleName">A module name.</param>
        /// <returns>A series instances of <see cref="IXmlBindingBuilder"/>.</returns>
        IList<IXmlBindingBuilder> ReadBindings(IXmlElement xmlElement, out string moduleName);
    }
}