﻿using System;
using MugenInjection.Core;

namespace MugenInjection.Attributes
{
    /// <summary>
    /// Represents the attribute which use to automatically load the <see cref="InjectorModule"/>.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = false)]
    public sealed class AutoLoadModuleAttribute : Attribute
    {
    }

    /// <summary>
    /// Represents the attribute which use to required automatically load the <see cref="InjectorModule"/>.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = false)]
    public sealed class AutoLoadModuleRequiredAttribute : Attribute
    {
    }
}