﻿using System;
using System.Collections.Generic;
using System.Reflection;

namespace MugenInjection.Infrastructure
{
    internal struct CacheInfoModel<T> where T : MemberInfo
    {
        #region Fields

        public readonly Type AttributeType;
        public readonly Type Type;
        public readonly List<T> CachedInfos;

        #endregion

        #region Constructor

        public CacheInfoModel(Type type, Type attributeType)
        {
            Type = type;
            AttributeType = attributeType;
            CachedInfos = new List<T>();
        }

        #endregion
    }
}