﻿namespace MugenInjection.Interface.Behaviors
{
    /// <summary>
    /// The behavior that resolves a circular dependencies.
    /// </summary>
    public interface ICycleDependencyBehavior
    {
        /// <summary>
        /// Resolves a circular dependencies.
        /// </summary>
        /// <param name="bindingContext">The specified <see cref="IBindingContext"/>.</param>
        /// <param name="result">An instance of the service.</param>
        /// <returns><c>True</c> if the specified service has been resolved; otherwise, <c>false</c>.</returns>
        bool Resolve(IBindingContext bindingContext, out object result);
    }
}